## org.eclipse.ocl.types.util
Class TypesValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ocl.types.util.TypesValidator

All Implemented Interfaces:
  EValidator

    public class TypesValidator

extends EObjectValidator

The Validator for the model.

See Also:
  `TypesPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`EValidator.Descriptor, EValidator.PatternMatcher, EValidator.Registry, EValidator.SubstitutionLabelProvider`

Field Summary
`static int` `BAG_TYPE__COLLECTION_TYPE_NAME` The `code` for constraint 'Check Collection Type Name' of 'Bag Type'
`static int` `COLLECTION_TYPE__COLLECTION_TYPE_NAME` The `code` for constraint 'Check Collection Type Name' of 'Collection Type'
`static int` `COLLECTION_TYPE__NO_INVALID_VALUES` The `code` for constraint 'Check No Invalid Values' of 'Collection Type'
`protected static int` `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class
`static String` `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package
`static TypesValidator` `INSTANCE` The cached model package
`static int` `MESSAGE_TYPE__EXCLUSIVE_SIGNATURE` The `code` for constraint 'Check Exclusive Signature' of 'Message Type'
`static int` `MESSAGE_TYPE__OPERATION_PARAMETERS` The `code` for constraint 'Check Operation Parameters' of 'Message Type'
`static int` `MESSAGE_TYPE__SIGNAL_ATTRIBUTES` The `code` for constraint 'Check Signal Attributes' of 'Message Type'
`static int` `ORDERED_SET_TYPE__COLLECTION_TYPE_NAME` The `code` for constraint 'Check Collection Type Name' of 'Ordered Set Type'
`static int` `SEQUENCE_TYPE__COLLECTION_TYPE_NAME` The `code` for constraint 'Check Collection Type Name' of 'Sequence Type'
`static int` `SET_TYPE__COLLECTION_TYPE_NAME` The `code` for constraint 'Check Collection Type Name' of 'Set Type'
`static int` `TUPLE_TYPE__FEATURES_ONLY_PROPERTIES` The `code` for constraint 'Check Features Only Properties' of 'Tuple Type'
`static int` `TUPLE_TYPE__PART_NAMES_UNIQUE` The `code` for constraint 'Check Part Names Unique' of 'Tuple Type'
`static int` `TUPLE_TYPE__TUPLE_TYPE_NAME` The `code` for constraint 'Check Tuple Type Name' of 'Tuple Type'

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`TypesValidator()` Creates an instance of the switch

Method Summary
`protected EPackage` `getEPackage()` Returns the package of this validator switch
`ResourceLocator` `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics
`protected boolean` `validate(int classifierID, Object value, DiagnosticChain diagnostics, Map<Object,Object> context)` Calls `validateXXX` for the corresponding classifier of the model
`boolean` `validateAnyType(AnyType<?> anyType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateBagType_checkCollectionTypeName(BagType<?,?> bagType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkCollectionTypeName constraint of 'Bag Type'
`boolean` `validateBagType(BagType<?,?> bagType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionType_checkCollectionTypeName(CollectionType<?,?> collectionType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkCollectionTypeName constraint of 'Collection Type'
`boolean` `validateCollectionType_checkNoInvalidValues(CollectionType<?,?> collectionType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkNoInvalidValues constraint of 'Collection Type'
`boolean` `validateCollectionType(CollectionType<?,?> collectionType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateElementType(ElementType elementType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateInvalidType(InvalidType<?> invalidType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateMessageType_checkExclusiveSignature(MessageType<?,?,?> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkExclusiveSignature constraint of 'Message Type'
`boolean` `validateMessageType_checkOperationParameters(MessageType<?,?,?> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkOperationParameters constraint of 'Message Type'
`boolean` `validateMessageType_checkSignalAttributes(MessageType<?,?,?> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkSignalAttributes constraint of 'Message Type'
`boolean` `validateMessageType(MessageType<?,?,?> messageType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateOrderedSetType_checkCollectionTypeName(OrderedSetType<?,?> orderedSetType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkCollectionTypeName constraint of 'Ordered Set Type'
`boolean` `validateOrderedSetType(OrderedSetType<?,?> orderedSetType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validatePrimitiveType(PrimitiveType<?> primitiveType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateSequenceType_checkCollectionTypeName(SequenceType<?,?> sequenceType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkCollectionTypeName constraint of 'Sequence Type'
`boolean` `validateSequenceType(SequenceType<?,?> sequenceType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateSetType_checkCollectionTypeName(SetType<?,?> setType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkCollectionTypeName constraint of 'Set Type'
`boolean` `validateSetType(SetType<?,?> setType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTupleType_checkFeaturesOnlyProperties(TupleType<?,?> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkFeaturesOnlyProperties constraint of 'Tuple Type'
`boolean` `validateTupleType_checkPartNamesUnique(TupleType<?,?> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkPartNamesUnique constraint of 'Tuple Type'
`boolean` `validateTupleType_checkTupleTypeName(TupleType<?,?> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the checkTupleTypeName constraint of 'Tuple Type'
`boolean` `validateTupleType(TupleType<?,?> tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTypeType(TypeType<?,?> typeType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateVoidType(VoidType<?> voidType, DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`createBadDataValueDiagnostic, createDiagnostic, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValueLabel, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate_DataValueConforms, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validatePattern, wrapEnumerationValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TypesValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### BAG_TYPE__COLLECTION_TYPE_NAME

    public static final int BAG_TYPE__COLLECTION_TYPE_NAME

  The `code` for constraint 'Check Collection Type Name' of 'Bag Type'.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__COLLECTION_TYPE_NAME

    public static final int COLLECTION_TYPE__COLLECTION_TYPE_NAME

  The `code` for constraint 'Check Collection Type Name' of 'Collection Type'.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__NO_INVALID_VALUES

    public static final int COLLECTION_TYPE__NO_INVALID_VALUES

  The `code` for constraint 'Check No Invalid Values' of 'Collection Type'.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EXCLUSIVE_SIGNATURE

    public static final int MESSAGE_TYPE__EXCLUSIVE_SIGNATURE

  The `code` for constraint 'Check Exclusive Signature' of 'Message Type'.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__OPERATION_PARAMETERS

    public static final int MESSAGE_TYPE__OPERATION_PARAMETERS

  The `code` for constraint 'Check Operation Parameters' of 'Message Type'.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__SIGNAL_ATTRIBUTES

    public static final int MESSAGE_TYPE__SIGNAL_ATTRIBUTES

  The `code` for constraint 'Check Signal Attributes' of 'Message Type'.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__COLLECTION_TYPE_NAME

    public static final int ORDERED_SET_TYPE__COLLECTION_TYPE_NAME

  The `code` for constraint 'Check Collection Type Name' of 'Ordered Set Type'.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__COLLECTION_TYPE_NAME

    public static final int SEQUENCE_TYPE__COLLECTION_TYPE_NAME

  The `code` for constraint 'Check Collection Type Name' of 'Sequence Type'.

  See Also:
    Constant Field Values

### SET_TYPE__COLLECTION_TYPE_NAME

    public static final int SET_TYPE__COLLECTION_TYPE_NAME

  The `code` for constraint 'Check Collection Type Name' of 'Set Type'.

  See Also:
    Constant Field Values

### TUPLE_TYPE__TUPLE_TYPE_NAME

    public static final int TUPLE_TYPE__TUPLE_TYPE_NAME

  The `code` for constraint 'Check Tuple Type Name' of 'Tuple Type'.

  See Also:
    Constant Field Values

### TUPLE_TYPE__PART_NAMES_UNIQUE

    public static final int TUPLE_TYPE__PART_NAMES_UNIQUE

  The `code` for constraint 'Check Part Names Unique' of 'Tuple Type'.

  See Also:
    Constant Field Values

### TUPLE_TYPE__FEATURES_ONLY_PROPERTIES

    public static final int TUPLE_TYPE__FEATURES_ONLY_PROPERTIES

  The `code` for constraint 'Check Features Only Properties' of 'Tuple Type'.

  See Also:
    Constant Field Values

### DIAGNOSTIC_CODE_COUNT

    protected static final int DIAGNOSTIC_CODE_COUNT

  A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

  See Also:
    Constant Field Values

Constructor Detail

### TypesValidator

    public TypesValidator()

  Creates an instance of the switch.

Method Detail

### getEPackage

    protected EPackage getEPackage()

  Returns the package of this validator switch.

  Overrides:
    `getEPackage` in class `EObjectValidator`

### validate

    protected boolean validate(int classifierID,
                               Object value,
                               DiagnosticChain diagnostics,
                               Map<Object,Object> context)

  Calls `validateXXX` for the corresponding classifier of the model.

  Overrides:
    `validate` in class `EObjectValidator`

### validateAnyType

    public boolean validateAnyType(AnyType<?> anyType,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateBagType

    public boolean validateBagType(BagType<?,?> bagType,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateBagType_checkCollectionTypeName

    public boolean validateBagType_checkCollectionTypeName(BagType<?,?> bagType,
                                                           DiagnosticChain diagnostics,
                                                           Map<Object,Object> context)

  Validates the checkCollectionTypeName constraint of 'Bag Type'.

### validateCollectionType

    public boolean validateCollectionType(CollectionType<?,?> collectionType,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateCollectionType_checkCollectionTypeName

    public boolean validateCollectionType_checkCollectionTypeName(CollectionType<?,?> collectionType,
                                                                  DiagnosticChain diagnostics,
                                                                  Map<Object,Object> context)

  Validates the checkCollectionTypeName constraint of 'Collection Type'.

### validateCollectionType_checkNoInvalidValues

    public boolean validateCollectionType_checkNoInvalidValues(CollectionType<?,?> collectionType,
                                                               DiagnosticChain diagnostics,
                                                               Map<Object,Object> context)

  Validates the checkNoInvalidValues constraint of 'Collection Type'.

### validateElementType

    public boolean validateElementType(ElementType elementType,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateInvalidType

    public boolean validateInvalidType(InvalidType<?> invalidType,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateMessageType

    public boolean validateMessageType(MessageType<?,?,?> messageType,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateMessageType_checkExclusiveSignature

    public boolean validateMessageType_checkExclusiveSignature(MessageType<?,?,?> messageType,
                                                               DiagnosticChain diagnostics,
                                                               Map<Object,Object> context)

  Validates the checkExclusiveSignature constraint of 'Message Type'.

### validateMessageType_checkOperationParameters

    public boolean validateMessageType_checkOperationParameters(MessageType<?,?,?> messageType,
                                                                DiagnosticChain diagnostics,
                                                                Map<Object,Object> context)

  Validates the checkOperationParameters constraint of 'Message Type'.

### validateMessageType_checkSignalAttributes

    public boolean validateMessageType_checkSignalAttributes(MessageType<?,?,?> messageType,
                                                             DiagnosticChain diagnostics,
                                                             Map<Object,Object> context)

  Validates the checkSignalAttributes constraint of 'Message Type'.

### validateOrderedSetType

    public boolean validateOrderedSetType(OrderedSetType<?,?> orderedSetType,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateOrderedSetType_checkCollectionTypeName

    public boolean validateOrderedSetType_checkCollectionTypeName(OrderedSetType<?,?> orderedSetType,
                                                                  DiagnosticChain diagnostics,
                                                                  Map<Object,Object> context)

  Validates the checkCollectionTypeName constraint of 'Ordered Set Type'.

### validatePrimitiveType

    public boolean validatePrimitiveType(PrimitiveType<?> primitiveType,
                                         DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

### validateSequenceType

    public boolean validateSequenceType(SequenceType<?,?> sequenceType,
                                        DiagnosticChain diagnostics,
                                        Map<Object,Object> context)

### validateSequenceType_checkCollectionTypeName

    public boolean validateSequenceType_checkCollectionTypeName(SequenceType<?,?> sequenceType,
                                                                DiagnosticChain diagnostics,
                                                                Map<Object,Object> context)

  Validates the checkCollectionTypeName constraint of 'Sequence Type'.

### validateSetType

    public boolean validateSetType(SetType<?,?> setType,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateSetType_checkCollectionTypeName

    public boolean validateSetType_checkCollectionTypeName(SetType<?,?> setType,
                                                           DiagnosticChain diagnostics,
                                                           Map<Object,Object> context)

  Validates the checkCollectionTypeName constraint of 'Set Type'.

### validateTupleType

    public boolean validateTupleType(TupleType<?,?> tupleType,
                                     DiagnosticChain diagnostics,
                                     Map<Object,Object> context)

### validateTupleType_checkTupleTypeName

    public boolean validateTupleType_checkTupleTypeName(TupleType<?,?> tupleType,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  Validates the checkTupleTypeName constraint of 'Tuple Type'.

### validateTupleType_checkPartNamesUnique

    public boolean validateTupleType_checkPartNamesUnique(TupleType<?,?> tupleType,
                                                          DiagnosticChain diagnostics,
                                                          Map<Object,Object> context)

  Validates the checkPartNamesUnique constraint of 'Tuple Type'.

### validateTupleType_checkFeaturesOnlyProperties

    public boolean validateTupleType_checkFeaturesOnlyProperties(TupleType<?,?> tupleType,
                                                                 DiagnosticChain diagnostics,
                                                                 Map<Object,Object> context)

  Validates the checkFeaturesOnlyProperties constraint of 'Tuple Type'.

### validateTypeType

    public boolean validateTypeType(TypeType<?,?> typeType,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateVoidType

    public boolean validateVoidType(VoidType<?> voidType,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `EObjectValidator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.